<?php
/** 
*
* @name portal_install.php [English]
* @package phpBB3 Portal XL 4.0
* @version $Id: portal_install.php,v 1.11 2008/03/02 16:10:01 damysterious Exp $
*
* @copyright (c) 2007 Portal XL 4.0 Group
* @license http://opensource.org/licenses/gpl-license.php GNU Public License 
*
*/

/**
* DO NOT CHANGE
*/
if (!defined('IN_PHPBB'))
{
	exit;
}

if (empty($lang) || !is_array($lang))
{
	$lang = array();
}

// DEVELOPERS PLEASE NOTE
//
// All language files should use UTF-8 as their encoding and the files must not contain a BOM.
//
// Placeholders can now contain order information, e.g. instead of
// 'Page %s of %s' you can (and should) write 'Page %1$s of %2$s', this allows
// translators to re-order the output of data while ensuring it remains correct
//
// You do not need this where single placeholders are used, e.g. 'Message %d' is fine
// equally where a string contains only two placeholders which are used to wrap text
// in a url you again do not need to specify an order e.g., 'Click %sHERE%s' is fine

$lang = array_merge($lang, array(
	'INSTALLER_INTRO'					=> 'Introduction',
	'INSTALLER_INTRO_WELCOME'			=> 'Welcome to the Portal XL 4.0 Installation',
	'INSTALLER_INTRO_WELCOME_NOTE'		=> 'This is the newest <strong>Free</strong> release of phpBB3 Portal XL 4.0 which is a flexible and powerful portal solution for your phpBB 3.0 forum with lots of great and advanced features.<br /><br /> 
	This portal strives to be highly customizeable aswell as include a useful amount of addons and mods. At the same time, we will offer a quick and efficient alternative to other phpBB3 related portal\'s. We do not claim to become a reference portal or mod for phpBB3 and we don\'t maintain to be professionals. We are modding this just for fun in our spare time, even if we are trying to do our best to have a professional looking package with as few bugs as possible and without need of any scripting knowledge required from the admin.
	<p><strong style="text-transform: uppercase;">Note:</strong> This release is <strong style="text-transform: uppercase;">still not final</strong>. You may want to wait for the full final release before running it live.</p>	
	<p>Memorable release data of phpBB3 Portal XL 4.0 
	<ul>
		<li>Portal XL 4.0 RC4 along phpBB 3.0 (??-03-2008)</li>
		<li>Portal XL 4.0 RC3 along phpBB 3.0 (01-02-2008)</li>
		<li>Portal XL 4.0 RC2 along phpBB 3.0 (16-12-2007)</li>
		<li>Portal XL 4.0 RC1 along phpBB3 RC8 (01-12-2007)</li>
		<li>Portal XL 4.0 0.4B.5 along phpBB3 RC7 (19-10-2007)</li>
		<li>Portal XL 4.0 0.4B.4 along phpBB3 RC5 (16-09-2007)</li>
		<li>Portal XL 4.0 0.4B.3 (03-08-2007)</li>
	</ul></p><br />Please choose what you want to do.',

	'INSTALLER_INSTALL'					=> 'Installation',
	'INSTALLER_INSTALL_MENU'			=> 'Portal Installation',
	'INSTALLER_INSTALL_SUCCESSFUL'		=> 'Installation of the Portal %s was successful.',
	'INSTALLER_INSTALL_UNSUCCESSFUL'	=> 'Installation of the Portal %s was <strong>not</strong> successful.',
	'INSTALLER_INSTALL_VERSION'			=> 'Install Portal %s',
	'INSTALLER_INSTALL_WELCOME'			=> 'Welcome to the Portal XL 4.0 Installation Wizard',
	'INSTALLER_INSTALL_WELCOME_NOTE'	=> '<p>This is the installation of Portal XL 4.0. Your original insane crazy Portal for phpBB3.</p> 
	<p>In order for this installation to work successfully the following procedures are recommended:</p>
	<ul>
		<li>Make sure you did copy/upload from archive all content of directory <strong><span style="color:#FF0000;">\root\</span></strong> to your phpbb3 root eg. <strong><span style="color:#FF0000;">\forum\</span></strong> already!</li>
	</ul>
	<ul>
		<li><em><strong><span style="color:#009900;">File permissions CHMOD</span></strong></em><br />
		<em>After installation you should check all CHMOD\'s on files and directories for *NIX related servers.</em><br /><br />
		<strong><span style="color:#009900;">CHMOD <span style="color:#FF0000;">0644</span> into</span></strong>:<br />
		config.php<br /><br />
		<strong><span style="color:#009900;">CHMOD <span style="color:#FF0000;">666</span> into</span></strong>:<br />
		/portal/counter.txt<br />
		/portal/ip.txt<br /><br />
		<strong><span style="color:#009900;">CHMOD <span style="color:#FF0000;">755</span> into</span></strong>:<br />
		/cache<br />
		/store<br />
		/files<br />
		/filebase<br />
		/filebase/preview<br />
		/filebase/tmp<br />
		/filebase/tmp/prev<br />
		/images/upload/avartars<br />
		/gallery/upload<br />
		</li>
	</ul>
	<ul>
		<li>
      <em><strong><span style="color:#009900;">Activating Contact board administration</span></strong></em><br />
        <em>Activate Contact board administration after installation</em><br /><br />
        Go to ACP -> System -> Administration Control Panel -> General -> Board configuration -> add module -> Contact board administration -> enable module.<br />
        After those steps Contact board administration is prepared for use. The Contact link will appear in prosilver\'s navigation now. Clicking Contact will install Contact board administration for you, after that you will see "You can not use the contact form at the moment, because it has been disabled.". Go to ACP -> System -> Administration Control Panel -> General -> Board configuration -> Contact board administration -> to enable.<br />
        Contact board administration is ready for use now.
		</li>
	</ul>
	<ul>
		<li>
      <em><strong><span style="color:#009900;">Activating KnowledgeBase and Filebase</span></strong></em><br />
        <em>Set permissions for KnowledgeBase and Filebase after installation</em><br /><br />
        First step: Purge the Cache (important to appear the tabs for Filebase and Knowledgebase in Permissions)<br />
        Second step: Go to ACP -> Users and Groups -> Groups permissions -> Look up usergroup and choose a group to change permissions under tab KnowledgeBase and Filebase. You have to do this for every group available.<br />
        Third step: KB - Go to ACP -> Permissions -> Global moderators -> window Manage groups and click on Global moderators -> click button Edit permissions -> click Advanced Permissions and enter tab Knowledge Base.
		</li>
	</ul>
	<ul>
		<li>
      <em><strong><span style="color:#009900;">Activating KnowledgeBase and Filebase</span></strong></em><br />
        <em>Set permissions for KnowledgeBase and Filebase after installation</em><br /><br />
        First step: Purge the Cache (important to appear the tabs for Filebase and Knowledgebase in Permissions)<br />
        Second step: Go to ACP -> Users and Groups -> Groups permissions -> Look up usergroup and choose a group to change permissions under tab KnowledgeBase and Filebase. You have to do this for every group available.<br />
        Third step: KB - Go to ACP -> Permissions -> Global moderators -> window Manage groups and click on Global moderators -> click button Edit permissions -> click Advanced Permissions and enter tab Knowledge Base.
		</li>
	</ul>
	<ul>
		<li>
    <em><strong><span style="color:#009900;">Activating Topic Evaluation</span></strong></em><br />
      <em>Set permissions for Topic Evaluation after installation</em><br /><br />
      Go to ACP -> Users and Groups -> Groups forum permissions -> Look up usergroup and choose a forum to change permissions -> choose a role and click Advanced Permissions -> choose tab Topic Evaluation.<br /> 
      You have to do this for every forum available.
		</li>
	</ul>
	<ul>
		<li>
    <em><strong><span style="color:#009900;">Activating Gender mod</span></strong></em><br />
      <em>Set permissions for Gender mod after installation</em><br /><br />
      <span style="color:#FF0000;">ATTENTION!</span> For the portal/gender mod you will have to refresh your imagesets and templates in the admin control panel only:<br />
	  After update to phpBB3 Portal XL 4.0 it is highly recommended to refresh your style or styles in use to make changes visible.<br /> 
      How to: ACP -> Styles -> under Style components choose Themes, under Installed themes choose Prosilver -> Refresh and click Yes!<br /> 
      Go back to ACPs General tab and run Purge the cache. Last step is purging/refreshing (F5) you browsers cache. Ready!
		</li>
	</ul>
	<ul>
		<li>
    <em><strong><span style="color:#009900;">Activating Flag mod</span></strong></em><br />
      <em>Set permissions for Flag mod after installation</em><br /><br />
      Install flag module 1 & 2:<br />
	  Go to ACP -> System -> Administration Control Panel -> Users and Groups -> Users -> look at the end of page, select from dropdown list (first list beside "Add module" button):<br />
	  + Category: Country flags [acp_flags], Name: Manage country flags. (This is the active module)<br />
	  + Category: User management [acp_users], Name: Country flag. (This is hidden module, you will see "Country flag [Hidden module]" text after enable this module)<br /><br />
	  Install flag module 3:<br />
	  Go to ACP -> System -> Administration Control Panel -> General -> Board configuration -> look at the end of page, select from dropdown list (first list beside "Add module" button):<br />
	  + Category: Board management [acp_board], Name: Country flag settings. (This is the active module)
		</li>
	</ul>
	<p>To begin the installation choose Yes and press the Submit button.</p>',

	'INSTALLER_UNINSTALL_MENU'			=> 'Portal Uninstallation',
	'INSTALLER_UNINSTALL_VERSION'		=> 'Remove from database',
	'INSTALLER_UNINSTALL_WELCOME'		=> 'Welcome to the Portal XL 4.0 Uninstallation Wizard',
	'INSTALLER_UNINSTALL_WELCOME_NOTE'	=> 'Portal XL 4.0 will be removed from your database, it is save to delete all Portal XL 4.0 related files, as there are (related to your root), if this step is completed:
	<ul>
		<li>in folder <span style="color:#009900;">/adm/style/</span> remove all <span style="color:#FF0000;">acp_portal*.html</span>.</li>
		<li>in folder <span style="color:#009900;">/includes/acp/</span> remove <span style="color:#FF0000;">acp_flags.php</span>, <span style="color:#FF0000;">acp_gallery.php</span> and all <span style="color:#FF0000;">acp_portal*.php</span></li>
		<li>in folder <span style="color:#009900;">/includes/acp/info/</span> remove <span style="color:#FF0000;">acp_flags.php</span>, <span style="color:#FF0000;">acp_gallery.php</span> and all <span style="color:#FF0000;">acp_portal*.php</span></li>
		<li>in folder <span style="color:#009900;">/language/en/</span> remove <span style="color:#FF0000;">chat.php, filebase.php, mini_cal.php</span> and <span style="color:#FF0000;">portal.php</span></li>
		<li>in folder <span style="color:#009900;">/language/en/acp/</span> remove <span style="color:#FF0000;">permissions_evaluation.php</span> and all <span style="color:#FF0000;">portal_*.php</span></li>
		<li>in folder <span style="color:#009900;">/language/en/email/</span> remove <span style="color:#FF0000;">admin_contact.txt</span></li>
		<li>in folder <span style="color:#009900;">/language/en/mods/</span> remove <span style="color:#FF0000;">attachment_index.php</span>, <span style="color:#FF0000;">average_statistics.php</span>, <span style="color:#FF0000;">evaluation.php</span>, <span style="color:#FF0000;">filebase.php</span>, <span style="color:#FF0000;">flags.php</span>, <span style="color:#FF0000;">gallery.php</span>, <span style="color:#FF0000;">gallery_acp.php</span>, <span style="color:#FF0000;">gallery_install.php</span>, <span style="color:#FF0000;">info_acp_gallery.php</span>, <span style="color:#FF0000;">kb.php</span>, <span style="color:#FF0000;">permissions_filebase.php</span>, <span style="color:#FF0000;">permissions_kb.php</span> and <span style="color:#FF0000;">ranks.php</span></li>
		<li>remove main folders <span style="color:#009900;">/gallery/</span>, <span style="color:#009900;">/filebase/</span>, <span style="color:#009900;">/knowledge/</span></strong> and <span style="color:#009900;">/portal/</span></strong></li>
		<li>remove all <span style="color:#009900;">/portal/</span> folders (do this for every style installed) under <span style="color:#009900;">/styles/stylename/template/</span></li>
		<li>in root replace <span style="color:#FF0000;">.htaccess</span> by the one from phpBB 3.0, remove <span style="color:#FF0000;">filebase.php</span>, <span style="color:#FF0000;">google-sitemap.php</span>, <span style="color:#FF0000;">portal.php</span>, <span style="color:#FF0000;">portal_pages.php</span>, <span style="color:#FF0000;">portal_xl40_install.php</span> and <span style="color:#FF0000;">robots.txt</span>.</li>
	</ul>
	<p><strong style="text-transform: uppercase;">Note:</strong> Before proceeding re-upload a original phpbb3 distribution to overwrite files which have been changed for use of Portal XL 4.0, but bear in mind before uploading anything to be sure to have removed folder <span style="color:#009900;">/install/</span> and file <span style="color:#FF0000;">config.php</span> from the phpBB 3.0 package.</p>
	<p>Thank you for using Portal XL 4.0.</p><br /><br />',

	'INSTALLER_UNINSTALL'						=> 'Uninstall',
	'INSTALLER_UNINSTALL_SUCCESSFUL'			=> 'Uninstallation of the Portal was successful.',
	'INSTALLER_UNINSTALL_SUCCESSFUL_EXPLAIN'	=> '<strong style="text-transform: uppercase;">Note:</strong> It is save now to remove all listed files of Portal XL 4.0 from your forum root.',
	'INSTALLER_UNINSTALL_UNSUCCESSFUL'			=> 'Uninstallation of the Portal was <strong>not</strong> successful.',

	'INSTALLER_NEEDS_FOUNDER'			=> 'You must be logged in as a founder.',

	'INSTALLER_UPDATE'					=> 'Update',
	'INSTALLER_UPDATE_MENU'				=> 'Portal Update',
	'INSTALLER_UPDATE_NOTE'				=> 'Update Portal from %s to %s',
	'INSTALLER_UPDATE_SUCCESSFUL'		=> 'Update of the Portal from %s to %s was successful.',
	'INSTALLER_UPDATE_UNSUCCESSFUL'		=> 'Update of the Portal from %s to %s was <strong>not</strong> successful.',
	'INSTALLER_UPDATE_VERSION'			=> 'Update from',
	'INSTALLER_UPDATE_WELCOME'			=> 'Welcome to the Portal XL 4.0 Update Wizard',

	'INSTALLER_LICENSE_MENU'			=> 'Portal License',
	'INSTALLER_LICENCE_TITLE'			=> 'The GNU License',
	'INSTALLER_LICENCE_BODY'			=> 'The Portal XL 4.0 is released under the <strong><a href="http://opensource.org/licenses/gpl-license.php" target="_blank">GNU General Public License 2, June 1991</a></strong> which states in essence that you can not remove the Portal XL 4.0 credits without any written permission of the original author.<br/><br/>For more details about possible exceptions, please contact a Portal XL 4.0 administrator or visit the link above.',

	'INSTALLER_SUPPORT_MENU'			=> 'Portal Support',
	'INSTALLER_SUPPORT_TITLE'			=> 'General Portal Support',
	'INSTALLER_SUPPORT_BODY'            => 'During the beta- / public test releases, limited support will be available at <a href="http://damysterious.xs4all.nl/plusxl40/" target="_blank">damysterious.xs4all.nl</a>, this is also the place to report portal related bugs. Bear in mind that it will only be limited support, and that we will only support the latest beta- / test release, installed with the supported phpBB3 version. <br /><br />As we are unable to know what is changed/modded to your existing phpBB3 setup before, we are not able in any way to support custom changes. Remember, using this package can lead to lost of already changed code or added mod\'s.',

	'INSTALLER_CUSTOM_MENU'						=> 'Portal Custom bbCode',
	'INSTALLER_CUSTOM_BBCODE_INSTALL'			=> 'Add custom bbCodes',
	'INSTALLER_CUSTOM_BBCODE_SUCCESSFUL'		=> 'Adding custom bbCodes to database was successful.',
	'INSTALLER_CUSTOM_BBCODE_UNSUCCESSFUL'		=> 'Adding custom bbCodes to database was <strong>not</strong> successful.',
	'INSTALLER_CUSTOM_BBCODE_ADD'				=> 'Update bbCodes to database',
	'INSTALLER_CUSTOM_BBCODE'					=> 'Add to database',
	'INSTALLER_CUSTOM_BBCODE_WELCOME'		=> 'Welcome to the Portal XL 4.0 custom bbCode installation Wizard',
	'INSTALLER_CUSTOM_BBCODE_WELCOME_NOTE'	=> 'Portal XL 4.0 will install following custom bbCodes into your database:
	<ul>
		<li><span style="color:#009900;">[album]{NUMBER}[/album]</span></li>
		<li><span style="color:#009900;">[iframe]{URL}[/iframe]</span></li>
	</ul>
	<p><strong style="text-transform: uppercase;">Note:</strong> As usual, before proceeding have a recent backup of your database.</p><br /><br />',



	'WARNING'							=> 'Warning',
	'PORTAL_PAGE'						=> 'Portal page',
	'ACP_INDEX'							=> 'ACP index',
	'INSTALLER_COMPLETE'				=> 'You should now <a href="../adm/index.php">re-authenticate</a> to your ACP and check if everything is working fine. Do not forget to delete, rename or move your portal_install directory!',
	'INSTALLER_COMPLETE_EXPLAIN'		=> '<strong style="text-transform: uppercase;">Note:</strong> It is save now to copy/upload all files from the Portal XL 4.0 archive to your forum root. Do not forget to remove directory <strong>/portal_install/</strong> when ready.',
	'LOGIN_ADMIN'						=> 'To administer the board you must be an authenticated user.',
	'NO_ADMIN'							=> 'You are not authorised to administrate this board.',
	'UNABLE_WRITE_LOCK'					=> 'Unable to write lock file.',
	
	'L_CHMOD777'						=> 'Successfully changed chmod to 777 for : ',
	'L_CHMOD666'						=> 'Successfully changed chmod to 666 for : ',
	'L_CHMOD644'						=> 'Successfully changed chmod to 644 for : ',
	'L_CHMOD_ERROR'						=> 'This script does not have permission to chmod!',
	
	
));
?>